## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanMemMgrHelper.hpp File Reference

Include dependency graph for XalanMemMgrHelper.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- class CreateObjFunctor

## Defines

- #define XALANMEMMGRHELPER_HEADER_GUARD_1357924680

## Functions

- template<class Type> XALAN_CPP_NAMESPACE_BEGIN
  Type * cloneObjWithMemMgr (const Type &other, MemoryManagerType &theManager)
- template<class Type> Type * cloneObj (const Type &other, MemoryManagerType &theManager)
- template<class Type> void destroyObjWithMemMgr (Type *ptr, MemoryManagerType &theManager)

## Define Documentation

#define XALANMEMMGRHELPER_HEADER_GUARD_1357924680

## Function Documentation

template<class Type>
Type* cloneObj | ( | const Type & | other,
|  | MemoryManagerType & | theManager
| ) |

template<class Type>
XALAN_CPP_NAMESPACE_BEGIN Type* cloneObjWithMemMgr | ( | const Type & | other,
|  | MemoryManagerType & | theManager
| ) |

template<class Type>
void destroyObjWithMemMgr | ( | Type * | ptr,
|  | MemoryManagerType & | theManager
| ) |

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.